/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_eprintf.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angoulem      +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/10/06 22:01:28 by cchauvet          #+#    #+#             */
/*   Updated: 2023/02/01 16:18:46 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ft_printf.h"

int	ft_eprintf(const char *format, ...)
{
	va_list	va;
	int		i;

	va_start(va, format);
	i = ft_vdprintf(2, format, va);
	va_end(va);
	return (i);
}
